.hero-banner__slider {
	& .flickity-page-dots {
		bottom: 10px;

		& .dot {
			width: 8px;
			height: 8px;
			background: var(--white);
			border-radius: 3px;
			transition: width 0.3s;

			&.is-selected {
				width: 30px;
			}
		}
	}

	& .flickity-prev-next-button {
		display: none;

		@media (--l) {
			display: block;
			background: transparent;

			&:hover {
				background: transparent;
			}

			& svg {
				fill: var(--white);
			}
		}
	}

	&.is-ready {
		display: flex;
		flex: 1 1 0;
		height: inherit;

		& .flickity-viewport {
			flex: 1 1 0;

			@media (--m) {
				height: auto !important;
			}
		}

		& .hero-banner__slider-item {
			height: 100%;
		}
	}
}

.hero-banner__slider-image {
	@mixin abs-full;
	@mixin image-overlay 0.25;

	width: 100%;
	z-index: 1;

	&::after {
		transition: background-color 0.3s;
	}
}

.hero-banner__slider-item {
	width: 100%;
	display: flex;
	flex-direction: column;
	justify-content: flex-end;

	&:hover {
		& .hero-banner__slider-image::after {
			background-color: rgba(0, 0, 0, 0.55);
		}
	}
}

.hero-banner__slider-content {
	position: relative;
	display: flex;
	padding: 25% 20px 40px;
	z-index: 2;

	@media (--m) {
		padding-left: 2em;
		padding-right: 2em;
	}

	@media (--l) {
		padding: 25% 4em 4em;
	}
}

.hero-banner__slider-title,
.hero-banner__slider-label {
	color: var(--white);
}

.hero-banner__slider-label {
	margin-bottom: 0.5em;
}

.hero-banner__slider-footer {
	margin-top: 1em;

	@media (--m) {
		margin-top: 1.5em;
	}
}

.grid.hero-banner__grid {
	@media (--m) {
		margin: 0 -10px;
	}
}

.grid__col.hero-banner__col {
	@media (--m) {
		padding: 0 10px;
	}
}

.hero-banner__col--navigation {
	display: none;

	@media (--m) {
		display: flex;
		width: 250px;
	}
}

.hero-banner__col--slider {
	width: 100%;

	@media (--m) {
		display: flex;
		width: auto;
		flex: 1 1 0;
		margin-top: 0;
	}
}

.hero-banner__slider-inner {
	flex: 1 1 0;
	display: flex;
	flex-direction: column;

	@media (--xs) {
		min-height: 250px;
	}

	@media (--m) {
		min-height: 300px;
	}
}

.hero-banner__col--list {
	width: 100%;
	margin-top: 20px;

	@media (--m) {
		display: flex;
		flex-direction: column;
		width: 25%;
		margin-top: 0;
	}
}

.hero-banner__list,
.hero-banner__col--list .hero-banner__col-inner {
	@media (--m) {
		flex: 1 1 0;
		display: flex;
		flex-direction: column;
	}
}

.hero-banner__list {
	@media (--s) {
		display: flex;
		flex-wrap: wrap;
	}

	@media (--m) {
		margin: 0;
	}
}

.hero-banner__row {
	width: 100%;
	margin-top: 20px;

	&:first-child {
		margin-top: 0;
	}

	@media (--s) {
		width: 50%;
		margin-top: 20px;
		padding: 0 10px;

		&:nth-child(-n + 2) {
			margin-top: 0;
		}
	}

	@media (--m) {
		display: flex;
		flex: 1 1 0;
		width: 100%;
		margin-top: 20px;
		padding: 0;

		&:nth-child(-n + 2) {
			margin-top: 20px;
		}

		&:first-child {
			margin-top: 0;
		}
	}
}

.hero-banner__row-footer {
	margin-top: 1em;
}

.hero-banner__row-image {
	width: 100%;

	& .image-banner__content {
		align-items: flex-start;

		@media (--m) {
			position: relative;
		}
	}

	& .image-banner__wrapper,
	& .image.image-banner__image {
		@media (--m) {
			@mixin abs-full;
		}
	}
}

.hero-banner__nav {
	@media (--m) {
		flex: 1 1 0;
		display: flex;
		flex-direction: column;
		background-color: var(--white);
		box-shadow: 0 2px 4px rgba(0, 0, 0, 0.075);
	}
}

.hero-banner__nav-header {
	display: flex;
	align-items: center;
	padding: 0.5em 20px;
	background-color: var(--dark);
	border-radius: 3px 3px 0 0;
}

.hero-banner__nav-title {
	color: var(--white);
}

.hero-banner__menu {
	@mixin list-reset;

	& li {
		display: block;
		width: 100%;
		border-top: 1px solid var(--light);

		&:first-child {
			border-top: 0;
		}

		& a {
			display: block;
			padding: 0.35em 20px;
			color: var(--dark);

			&:hover {
				background-color: var(--white);
			}
		}
	}

	& > .menu-item-has-children {
		position: relative;

		& > .sub-menu {
			@mixin fade-out;
			@mixin list-reset;

			transition: all 0.3s;

			@media (--m) {
				position: absolute;
				top: 0;
				left: 100%;
				width: 100%;
				background: var(--white);
				border: 1px solid var(--border);
				box-shadow: 0 2px 4px rgba(0, 0, 0, 0.15);
				z-index: 10;
			}
		}

		&:hover {
			& > .sub-menu {
				@media (--m) {
					@mixin fade-in;
				}
			}
		}
	}
}

.hero-banner__slider-nav {
	display: none;

	@media (--s) {
		display: block;
	}
}

.hero-banner__slider-nav-item {
	height: 50px;

	@media (--s) {
		height: 72px;
	}
}

.hero-banner--preset-1 {
	& .hero-banner__slider-content {
		padding-top: 18%;
	}

	& .button.hero-banner__slider-button {
		background-color: transparent;
		font-weight: var(--font-bold);
		text-transform: uppercase;
		border: 0.2rem solid var(--secondary);

		&:hover {
			background-color: var(--dark);
			color: var(--white);
		}
	}

	& .hero-banner__col--list {
		@media (--m) {
			width: 30%;
		}
	}

	& .hero-banner__row-image {
		& .button {
			@mixin button-link;

			color: var(--secondary);
			text-transform: uppercase;
			font-weight: var(--font-bold);
			border: 0;
			border-radius: 0;
		}
	}

	& .hero-banner__row-title {
		@mixin small-text;

		font-weight: var(--font-normal);
	}

	& .hero-banner__row-description {
		@mixin large-text;

		font-weight: var(--font-bold);
		text-transform: uppercase;
	}

	& .hero-banner__row-footer {
		margin-top: 0;
	}

	& .hero-banner__nav-header {
		background: var(--primary);
		border-top: 1px solid var(--primary);
		border-radius: 3px 3px 0 0;
	}

	& .hero-banner__nav {
		background-color: transparent;
		border: 1px solid var(--border);
		border-top: 0;
		border-radius: 3px;
	}

	& .hero-banner__menu > li > a {
		position: relative;
		background: transparent;
		border-bottom: 1px solid rgba(0, 0, 0, 0.05);

		&::before {
			@media (--m) {
				@mixin fade-out;

				content: '';
				position: absolute;
				top: 0;
				left: -4px;
				width: 4px;
				height: 100%;
				background-color: var(--primary);
				transition: all 0.3s;
				pointer-events: none;
			}
		}

		&:hover {
			color: var(--primary);

			&::before {
				@media (--m) {
					@mixin fade-in;
				}
			}
		}
	}
}
